<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <!-- Vista de lista de monederos -->
    <record id="view_skeen_monedero_tree" model="ir.ui.view">
        <field name="name">skeen.monedero.tree</field>
        <field name="model">skeen.monedero</field>
        <field name="arch" type="xml">
            <tree>
                <field name="partner_id"/>
                <field name="partner_phone"/>
                <field name="points"/>
                <field name="equivalent_mxn"/>
                <field name="active"/>
            </tree>
        </field>
    </record>

    <!-- Vista de formulario de monedero -->
    <record id="view_skeen_monedero_form" model="ir.ui.view">
        <field name="name">skeen.monedero.form</field>
        <field name="model">skeen.monedero</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                    <group>
                        <group>
                            <field name="partner_id"/>
                            <field name="partner_phone" readonly="1"/>
                            <field name="points"/>
                            <field name="equivalent_mxn" readonly="1"/>
                        </group>
                        <group>
                            <field name="active"/>
                        </group>
                    </group>
                    <field name="transaction_ids">
                        <tree>
                            <field name="create_date"/>
                            <field name="type"/>
                            <field name="points"/>
                            <field name="description"/>
                            <field name="reference"/>
                        </tree>
                    </field>
                </sheet>
            </form>
        </field>
    </record>

    <!-- Acción para monederos -->
    <record id="action_skeen_monedero_tree" model="ir.actions.act_window">
        <field name="name">Monederos</field>
        <field name="res_model">skeen.monedero</field>
        <field name="view_mode">tree,form</field>
    </record>
</odoo>